DirIn='/Users/chrishalle/Documents/CODARData/Radials/PSLR/Matlab/Ideal';
FileIn='PSLRRadsIdealY2008M3.mat';
CoastFile=fullfile('/Users/chrishalle/Documents/CODARData/Totals/StatewideFromSYKim/ProcessingInfo','WestCoastMap.mat');
%
disp('loading radials')
%
pause(1);
%
cd(DirIn);
load(FileIn);
%
RadialNumber=300;
%
RangeLims=[5:2:100];
BearLims=[100:5:230];
%
MaxRangeGap=5;
%
RTem=Rorig(300);
%RTem=subsrefRADIAL(Rorig(300),[1:100],1);
%
disp('starting to get interpolation')
pause(1);
%
[Rout,range,bear,head]=interpRadialsRorig2(RTem,'RangeLims',RangeLims,'BearLims',BearLims,...
    'MaxRangeGap',MaxRangeGap,'GridSlop',0.5);
%
%  plot original RadComp data
%
% TemFigHandle=figure;
% %
% plotBasemap([-122.1 -121.75],[36.1 36.5],CoastFile,'lambert','patch',[0.5 0.5 0.5]);
% %
% hold
% %
% title('original data, radcomp')
% %
% for jpoint=1:numel(RTem.LonLat(:,1)),
% %for jpoint=1:300,
%     PlotNonHFRadarData(TemFigHandle,1,NaN,NaN,RTem.RadComp(jpoint),'.',[8 10],[-60 60],'jet',...
%         RTem.LonLat(jpoint,:));
% end
% %
% caxis([-60 45])
% colorbar('vert')
% %
% TemFigHandle2=figure;
% %
% plotBasemap([-122.1 -121.75],[36.1 36.5],CoastFile,'lambert','patch',[0.5 0.5 0.5]);
% %
% hold
% %
% for jpoint=1:numel(Rout.LonLat(:,1)),
% %for jpoint=1:300,
%     PlotNonHFRadarData(TemFigHandle2,1,NaN,NaN,Rout.RadComp(jpoint),'.',[8 10],[-60 60],'jet',...
%         Rout.LonLat(jpoint,:));
% end
% %
% caxis([-60 45])
% colorbar('vert')
% %
% title('interpolated data, radcomp')
% %
%  now plot up the U and V vector data as a check
%
TemFigHandle=figure;
%
plotBasemap([-123 -121.75],[35.7 37],CoastFile,'lambert','patch',[0.5 0.5 0.5]);
%
hold
%
title('original data, vector velocities')
%
[handles,TimeIndex] = plotData(RTem,'m_vec',1,0.008);
%
TemFigHandle=figure;
%
plotBasemap([-123 -121.75],[35.7 37],CoastFile,'lambert','patch',[0.5 0.5 0.5]);
%
hold
%
title('interpolated data, vector velocities')
%
[handles,TimeIndex] = plotData(Rout,'m_vec',1,0.008);
%
%
TemFigHandle=figure;
%
plotBasemap([-123 -121.75],[35.7 37],CoastFile,'lambert','patch',[0.5 0.5 0.5]);
%
hold
%
title('velocity comparison')
%
[handles,TimeIndex] = plotData(RTem,'m_vec',1,0.008);
set(handles,'FaceColor','k')
%
[handles,TimeIndex] = plotData(Rout,'m_vec',1,0.008);
set(handles,'FaceColor','r')

%  check the *headings*, the bearings, and the errors, and the ranges
%
% TemFigHandle=figure;
% %
% plotBasemap([-122.1 -121.75],[36.1 36.5],CoastFile,'lambert','patch',[0.5 0.5 0.5]);
% %
% hold
% %
% title('original data, headings')
% %
% for jpoint=1:numel(RTem.LonLat(:,1)),
% %for jpoint=1:300,
%     PlotNonHFRadarData(TemFigHandle,1,NaN,NaN,RTem.RangeBearHead(jpoint,3),'.',[8 10],[0 360],'jet',...
%         RTem.LonLat(jpoint,:));
% end
% %
% caxis([0 360])
% colorbar('vert')
% %
% TemFigHandle=figure;
% %
% plotBasemap([-122.1 -121.75],[36.1 36.5],CoastFile,'lambert','patch',[0.5 0.5 0.5]);
% %
% hold
% %
% title('interpolated data, headings')
% %
% for jpoint=1:numel(Rout.LonLat(:,1)),
% %for jpoint=1:300,
%     PlotNonHFRadarData(TemFigHandle,1,NaN,NaN,Rout.RangeBearHead(jpoint,3),'.',[8 10],[0 360],'jet',...
%         Rout.LonLat(jpoint,:));
% end
% %
% caxis([0 360])
% colorbar('vert')
% % %
% % %
% % %  check the headings, the *bearings*, and the errors, and the ranges
% % %
% TemFigHandle=figure;
% %
% plotBasemap([-122.1 -121.75],[36.1 36.5],CoastFile,'lambert','patch',[0.5 0.5 0.5]);
% %
% hold
% %
% title('original data, bearings')
% %
% for jpoint=1:numel(RTem.LonLat(:,1)),
% %for jpoint=1:300,
%     PlotNonHFRadarData(TemFigHandle,1,NaN,NaN,RTem.RangeBearHead(jpoint,2),'.',[8 10],[0 360],'jet',...
%         RTem.LonLat(jpoint,:));
% end
% %
% caxis([0 360])
% colorbar('vert')
% %
% TemFigHandle=figure;
% %
% plotBasemap([-122.1 -121.75],[36.1 36.5],CoastFile,'lambert','patch',[0.5 0.5 0.5]);
% %
% hold
% %
% title('interpolated data, bearings')
% %
% for jpoint=1:numel(Rout.LonLat(:,1)),
% %for jpoint=1:300,
%     PlotNonHFRadarData(TemFigHandle,1,NaN,NaN,Rout.RangeBearHead(jpoint,2),'.',[8 10],[0 360],'jet',...
%         Rout.LonLat(jpoint,:));
% end
% %
% caxis([0 360])
% colorbar('vert')
% % %
% % %
% % %
% % %  check the headings, the bearings, and the *errors*, and the ranges
% %
% TemFigHandle=figure;
% %
% plotBasemap([-123 -121.75],[35.7 37],CoastFile,'lambert','patch',[0.5 0.5 0.5]);
% %
% hold
% %
% title('original data, errors')
% %
% for jpoint=1:numel(RTem.LonLat(:,1)),
% %for jpoint=1:300,
%     PlotNonHFRadarData(TemFigHandle,1,NaN,NaN,RTem.Error(jpoint),'.',[8 10],[0 20],'jet',...
%         RTem.LonLat(jpoint,:));
% end
% %
% caxis([0 20])
% colorbar('vert')
% %
% TemFigHandle=figure;
% %
% plotBasemap([-123 -121.75],[35.7 37],CoastFile,'lambert','patch',[0.5 0.5 0.5]);
% %
% hold
% %
% title('interpolated data, errors')
% %
% for jpoint=1:numel(Rout.LonLat(:,1)),
% %for jpoint=1:300,
%     PlotNonHFRadarData(TemFigHandle,1,NaN,NaN,Rout.Error(jpoint),'.',[8 10],[0 20],'jet',...
%         Rout.LonLat(jpoint,:));
% end
%
% caxis([0 20])
% colorbar('vert')
% % %
TemFigHandle=figure;
%
plotBasemap([-123 -121.75],[35.7 37],CoastFile,'lambert','patch',[0.5 0.5 0.5]);
%
hold
%
title('original data, positions in blue circles')
%
m_plot(RTem.LonLat(:,1),RTem.LonLat(:,2),'bo')
m_plot(Rout.LonLat(:,1),Rout.LonLat(:,2),'r+')
%
% % %
% % %
% % %  check the headings, the bearings, and the errors, and the *ranges*
% % %
% TemFigHandle=figure;
% %
% plotBasemap([-122.1 -121.75],[36.1 36.5],CoastFile,'lambert','patch',[0.5 0.5 0.5]);
% %
% hold
% %
% title('original data, ranges')
% %
% for jpoint=1:numel(RTem.LonLat(:,1)),
% %for jpoint=1:300,
%     PlotNonHFRadarData(TemFigHandle,1,NaN,NaN,RTem.RangeBearHead(jpoint,1),'.',[8 10],[0 50],'jet',...
%         RTem.LonLat(jpoint,:));
% end
% %
% caxis([0 20])
% colorbar('vert')
% %
% TemFigHandle=figure;
% %
% plotBasemap([-122.1 -121.75],[36.1 36.5],CoastFile,'lambert','patch',[0.5 0.5 0.5]);
% %
% hold
% %
% title('interpolated data, ranges')
% %
% for jpoint=1:numel(Rout.LonLat(:,1)),
% %for jpoint=1:300,
%     PlotNonHFRadarData(TemFigHandle,1,NaN,NaN,Rout.RangeBearHead(jpoint,1),'.',[8 10],[0 50],'jet',...
%         Rout.LonLat(jpoint,:));
% end
% %
% caxis([0 20])
% colorbar('vert')
% % %
% % %
% % %  plot original U Vel data
% % %
% % TemFigHandle=figure;
% % %
% % plotBasemap([-123.5 -121.5],[35.5 37],CoastFile,'lambert','patch',[0.5 0.5 0.5]);
% % %
% % hold
% % %
% % title('original data, U Vel')
% % %
% % %for jpoint=1:numel(Rorig(300).LonLat(:,1)),
% % for jpoint=1:300,
% %     PlotNonHFRadarData(TemFigHandle,1,NaN,NaN,Rorig(300).U(jpoint),'.',[8 10],[-60 45],'jet',...
% %         Rorig(300).LonLat(jpoint,:));
% % end
% % %
% % caxis([-60 45])
% % colorbar('vert')
% % %
% % TemFigHandle2=figure;
% % %
% % plotBasemap([-123.5 -121.5],[35.5 37],CoastFile,'lambert','patch',[0.5 0.5 0.5]);
% % %
% % hold
% % %
% % %for jpoint=1:numel(Rout.LonLat(:,1)),
% % for jpoint=1:700,
% %     PlotNonHFRadarData(TemFigHandle2,1,NaN,NaN,Rout.U(jpoint),'.',[8 10],[-60 45],'jet',...
% %         Rout.LonLat(jpoint,:));
% % end
% % %
% % caxis([-60 45])
% % colorbar('vert')
% % %
% % title('interpolated data, U Vel')
% % %
% % %  plot V Vel
% % %
% % TemFigHandle=figure;
% % %
% % plotBasemap([-123.5 -121.5],[35.5 37],CoastFile,'lambert','patch',[0.5 0.5 0.5]);
% % %
% % hold
% % %
% % title('original data, V Vel')
% % %
% % %for jpoint=1:numel(Rorig(300).LonLat(:,1)),
% % for jpoint=1:300,
% %     PlotNonHFRadarData(TemFigHandle,1,NaN,NaN,Rorig(300).V(jpoint),'.',[8 10],[-60 45],'jet',...
% %         Rorig(300).LonLat(jpoint,:));
% % end
% % %
% % %
% % caxis([-60 45])
% % colorbar('vert')
% % %
% % TemFigHandle2=figure;
% % %
% % plotBasemap([-123.5 -121.5],[35.5 37],CoastFile,'lambert','patch',[0.5 0.5 0.5]);
% % %
% % hold
% % %
% % %for jpoint=1:numel(Rout.LonLat(:,1)),
% % for jpoint=1:700,
% %     PlotNonHFRadarData(TemFigHandle2,1,NaN,NaN,Rout.V(jpoint),'.',[8 10],[-60 45],'jet',...
% %         Rout.LonLat(jpoint,:));
% % end
% % %
% % caxis([-60 45])
% % colorbar('vert')
% % %
% % title('interpolated data, V Vel')
% % 
% TemFigHandle=figure;
% %
% plotBasemap([-122.1 -121.75],[36.1 36.5],CoastFile,'lambert','patch',[0.5 0.5 0.5]);
% %
% hold
% %
% title('original data, U velocity')
% %
% for jpoint=1:numel(RTem.LonLat(:,1)),
% %for jpoint=1:300,
%     PlotNonHFRadarData(TemFigHandle,1,NaN,NaN,RTem.U(jpoint),'.',[8 10],[-50 30],'jet',...
%         RTem.LonLat(jpoint,:));
% end
% %
% caxis([-50 30])
% colorbar('vert')
% %
% TemFigHandle=figure;
% %
% plotBasemap([-122.1 -121.75],[36.1 36.5],CoastFile,'lambert','patch',[0.5 0.5 0.5]);
% %
% hold
% %
% title('interpolated data, u velocity')
% %
% for jpoint=1:numel(Rout.LonLat(:,1)),
% %for jpoint=1:300,
%     PlotNonHFRadarData(TemFigHandle,1,NaN,NaN,Rout.U(jpoint),'.',[8 10],[-50 30],'jet',...
%         Rout.LonLat(jpoint,:));
% end
% %
% caxis([-50 30])
% colorbar('vert')
% %
% TemFigHandle=figure;
% %
% plotBasemap([-122.1 -121.75],[36.1 36.5],CoastFile,'lambert','patch',[0.5 0.5 0.5]);
% %
% hold
% %
% title('original data, V velocity')
% %
% for jpoint=1:numel(RTem.LonLat(:,1)),
% %for jpoint=1:300,
%     PlotNonHFRadarData(TemFigHandle,1,NaN,NaN,RTem.V(jpoint),'.',[8 10],[-50 30],'jet',...
%         RTem.LonLat(jpoint,:));
% end
% %
% caxis([-50 30])
% colorbar('vert')
% %
% TemFigHandle=figure;
% %
% plotBasemap([-122.1 -121.75],[36.1 36.5],CoastFile,'lambert','patch',[0.5 0.5 0.5]);
% %
% hold
% %
% title('interpolated data, V velocity')
% %
% for jpoint=1:numel(Rout.LonLat(:,1)),
% %for jpoint=1:300,
%     PlotNonHFRadarData(TemFigHandle,1,NaN,NaN,Rout.V(jpoint),'.',[8 10],[-50 30],'jet',...
%         Rout.LonLat(jpoint,:));
% end
% %
% caxis([-50 30])
% colorbar('vert')
% %
