SRDirectory='/Users/chrishalle/Documents/CODARData/Radials/BML1/Matlab/Ideal/CleanedSecondOrder';
SRFile='BML1CleanSecOrderRadsIdealY2008M1.mat';
%
LRDirectory='/Users/chrishalle/Documents/CODARData/Radials/BMLR/Matlab/Ideal/CleanedSecondOrder';
LRFile='BMLRCleanSecOrderRadsIdealY2008M1.mat';
%
LRMaskDir='/Users/chrishalle/Documents/CODARData/Radials/MaskInfo';
LRMaskFile='BMLRRadialMaskPReyesShadow.txt';
%LRMaskFile='BMLRRadialMask.txt';
%
SRMaskDir='/Users/chrishalle/Documents/CODARData/Radials/MaskInfo';
SRMaskFile='BMLRadMaskIn.txt';
%
NewRes=5;
MaxRangeDiff=3;
GridSlop=5;
%
cd(SRDirectory);
load(SRFile);
RcatStandardRange=Rcat;
clear Rcat
%
cd(LRDirectory);
load(LRFile);
RcatLongRange=Rcat;
clear Rcat
%
%RcatStandardRange=subsrefRADIAL(RcatStandardRange,':',[1:200]);  
%
%RcatLongRange=subsrefRADIAL(RcatLongRange,':',[1:200]);
%
LRMask=load(fullfile(LRMaskDir,LRMaskFile));
SRMask=load(fullfile(SRMaskDir,SRMaskFile));
%
StartTimeRoutine=clock;
%
[RcatOut]=CombineSRAndLRRadialsVer2(RcatLongRange,RcatStandardRange,LRMask,SRMask,NewRes,MaxRangeDiff);
%
ElapTime=etime(clock,StartTimeRoutine);
ElapTime=ElapTime/60;
disp(['Time to run routine is ' num2str(ElapTime) 'minutes'])
%
clear StartTimeRoutine ElapTime
%
%  now we need to check the output
%
CoastFileLocation=fullfile('/Users/chrishalle/Documents/CODARData/Totals/StatewideFromSYKim/ProcessingInfo','WestCoastMap.mat');
LonLimits=[-125 -122.5];
LatLimits=[37 39];
%
TimeStepToCheck=1;  % change for other timesteps
%
TemFigHandle=figure;
plotBasemap(LonLimits,LatLimits,CoastFileLocation,'lambert', 'patch', [0.5 0.5 0.5] );
hold
PlotNonHFRadarData(TemFigHandle,[1:numel(RcatOut.RadComp(:,TimeStepToCheck))],NaN,NaN,RcatOut.RadComp(:,TimeStepToCheck),'.',[8 12],[-50 50],'jet',RcatOut.LonLat);
title('RcatOut RadComp')
%
TemFigHandle=figure;
plotBasemap(LonLimits,LatLimits,CoastFileLocation,'lambert', 'patch', [0.5 0.5 0.5] );
hold
PlotNonHFRadarData(TemFigHandle,[1:numel(RcatLongRange.RadComp(:,TimeStepToCheck))],NaN,NaN,RcatLongRange.RadComp(:,TimeStepToCheck),'.',[8 12],[-50 50],'jet',RcatLongRange.LonLat);
title('RcatLonRange RadComp')
%
TemFigHandle=figure;
plotBasemap(LonLimits,LatLimits,CoastFileLocation,'lambert', 'patch', [0.5 0.5 0.5] );
hold
PlotNonHFRadarData(TemFigHandle,[1:numel(RcatStandardRange.RadComp(:,TimeStepToCheck))],NaN,NaN,RcatStandardRange.RadComp(:,TimeStepToCheck),'.',[8 12],[-50 50],'jet',RcatStandardRange.LonLat);
title('RcatStandardRange RadComp')
%
%  now look at the errors
%
TemFigHandle=figure;
plotBasemap(LonLimits,LatLimits,CoastFileLocation,'lambert', 'patch', [0.5 0.5 0.5] );
hold
PlotNonHFRadarData(TemFigHandle,[1:numel(RcatOut.Error(:,TimeStepToCheck))],NaN,NaN,RcatOut.Error(:,TimeStepToCheck),'.',[8 12],[0 20],'jet',RcatOut.LonLat);
title('RcatOut Error')
%
TemFigHandle=figure;
plotBasemap(LonLimits,LatLimits,CoastFileLocation,'lambert', 'patch', [0.5 0.5 0.5] );
hold
PlotNonHFRadarData(TemFigHandle,[1:numel(RcatLongRange.Error(:,TimeStepToCheck))],NaN,NaN,RcatLongRange.Error(:,TimeStepToCheck),'.',[8 12],[0 20],'jet',RcatLongRange.LonLat);
title('RcatLonRange Error')
%
TemFigHandle=figure;
plotBasemap(LonLimits,LatLimits,CoastFileLocation,'lambert', 'patch', [0.5 0.5 0.5] );
hold
PlotNonHFRadarData(TemFigHandle,[1:numel(RcatStandardRange.Error(:,TimeStepToCheck))],NaN,NaN,RcatStandardRange.Error(:,TimeStepToCheck),'.',[8 12],[0 20],'jet',RcatStandardRange.LonLat);
title('RcatStandardRange Error')
%
[VelRcatOut]=extractVelocities(RcatOut,[-123.5 38.15],3,'interp');
[VelRcatStandard]=extractVelocities(RcatStandardRange,[-123.5 38.15],3,'interp');
[VelRcatOutLong]=extractVelocities(RcatLongRange,[-123.5 38.15],3,'interp');
%
figure
subplot(2,1,1)
plot(VelRcatOut.TimeStamp,VelRcatOut.U,'k','LineWidth',[2]);
hold
plot(VelRcatStandard.TimeStamp,VelRcatStandard.U,'r+');
plot(VelRcatOutLong.TimeStamp,VelRcatOutLong.U,'bo');
title('U velocity check')
subplot(2,1,2)
plot(VelRcatOut.TimeStamp,VelRcatOut.V,'k','LineWidth',[2]);
hold
plot(VelRcatStandard.TimeStamp,VelRcatStandard.V,'r+');
plot(VelRcatOutLong.TimeStamp,VelRcatOutLong.V,'bo');
legend('combined','standard','long')
title('V velocity check')
%

