function [EastOut,NorthOut]=ConvertHFSpeedDirToComponents(MagIn,DirIn,DirSwitch)
%
%  [EastOut,NorthOut]=ConvertHFSpeedDirToComponents(MagIn,DirIn,DirSwitch);
%
%  DirSwitch='FROM' means directions are from, typical wind convention
%  DirSwitch='TOWARD" means directions are toward, typical current
%  convention
%
%  I tend to store things as direction toward
%
%  NumRows of MagIn correspond to different sites, NumCOls are Different
%  times
%
radianfactor=2*pi/360;
%
DirSwitch=upper(DirSwitch);
%
switch DirSwitch
    case 'FROM'
        %
        NorthOut=-1*(MagIn.*cos(radianfactor*DirIn));
        %
        EastOut=-1*(MagIn.*sin(radianfactor*DirIn));
        %
    case 'TOWARD'
        %
        NorthOut=1*(MagIn.*cos(radianfactor*DirIn));
        %
        EastOut=1*(MagIn.*sin(radianfactor*DirIn));
        %
    otherwise
        %
        disp('unknown direction switch')
        disp('routine ConvertSpeedDirToComponents')
        disp('NaN values being returned')
        %
        NorthOut=NaN*size(MagIn);
        EastOut=NaN*size(MagIn);
        %
end
%
%  routine is ended
%
return;
%
