function [TemStructOut]=ExtractFieldsFromStruct(TemStructIn,IndicesToExtract,TimeDownRowsSwitch)
%
%  [TemStructOut]=ExtractFieldsFromStruct(TemStructIn,IndicesToExtract,Time
%  DownRowsSwitch);
%
%  Obtains all fields from the input structure, for the indices specified
%
%  Works well if just a row or column in each field.
%  If a matrix, then assumes that the indices specified correspond to the
%  rows to extract, unless the TimeDownRowsSwitch is set to zero (or anything other than 1).
%  In that case, the columns will be extracted.
%  
% CMH, Oct 2007
%
TemFields=fieldnames(TemStructIn);
%
if ~exist('TimeDownRowsSwitch','var'),
    TimeDownRowsSwitch=1;
end
%
for jfield=1:numel(TemFields),
    eval(['TemSer=TemStructIn.' char(TemFields(jfield)) ';']);
    [mrows,ncols]=size(TemSer);
    if ((isequal(mrows,1))||(isequal(ncols,1))),
        eval(['TemStructOut.' char(TemFields(jfield)) '=TemSer(IndicesToExtract);']);
    else
        switch TimeDownRowsSwitch
            case 1
                eval(['TemStructOut.' char(TemFields(jfield)) '=TemSer(IndicesToExtract,:);']);
            otherwise
                eval(['TemStructOut.' char(TemFields(jfield)) '=TemSer(:,IndicesToExtract);']);
        end
    end
        
end
%
%  the routine is done
%
return;
%

        
    
    
        
    