function [TUVIn]=GetHFSpatialStatsInterface(TUVIn)
%
%  [TUVIn]=GetHFSpatialStatsInterface(TUVIn);
%
%  Calls Get HFSpatialStats - breaks call into pieces to save memory
%
NominalMaxColumnsGetAtOnce=20;
%
[NumPos,NumTotalColumns]=size(TUVIn.U);
%
PositionExtract=1:NumPos;
%
if isfield(TUVIn,'TempStats'),
    TempStatsField=TUVIn.TempStats;
    TUVIn=rmfield(TUVIn,'TempStats');
end
%
if isfield(TUVIn,'SpatialStats'),
    TUVIn=rmfield(TUVIn,'SpatialStats');
end
%
FirstColumnToObtain=1;
%
while FirstColumnToObtain<=NumTotalColumns,
    %
    LastColumnToObtain=FirstColumnToObtain+NominalMaxColumnsGetAtOnce-1;
    if LastColumnToObtain>NumTotalColumns,
        LastColumnToObtain=NumTotalColumns;
    end
    %
    %
    [TUVportion]=subsrefTUV(TUVIn,PositionExtract,[FirstColumnToObtain:LastColumnToObtain]);
    %
    [TUVportion]=GetHFSpatialStats(TUVportion);
    %
    if isequal(FirstColumnToObtain,1),
        %
        TUVSpatialStats=TUVportion.SpatialStats;
        %
    else
        %
        TUVSpatialStats=AppendHFRadarStatsCols(TUVSpatialStats,TUVportion.SpatialStats);
        %
    end
    %
    %
    FirstColumnToObtain=FirstColumnToObtain+NominalMaxColumnsGetAtOnce;
    %
end
%
if exist('TempStatsField','var'),
    TUVIn.TempStats=TempStatsField;
    clear TempStatsField
end
%
TUVIn.SpatialStats=TUVSpatialStats;
%
%  the routine is done
%
return;
%
