function PlotRadialStatistics(RadialStats)
%
%  PlotRadialStatistics(RadialStats);
%
%  to plot the stats
%
AllNames=unique(RadialStats.SiteNames);  %empty sites will be included, but o.k.
%
for jsite=1:numel(AllNames),
    temmark=find(ismember(RadialStats.SiteNames,AllNames(jsite)));
    if numel(temmark)>=1,
        %
        TemFig=figure;
        subplot(4,1,1)
        plot(RadialStats.FileTimeStamp(temmark),RadialStats.FileFound(temmark),'k')
        hold
        plot(RadialStats.FileTimeStamp(temmark),RadialStats.FileFound(temmark),'k.')
        plot(RadialStats.FileTimeStamp(temmark),RadialStats.DataFound(temmark),'r')
        plot(RadialStats.FileTimeStamp(temmark),RadialStats.DataFound(temmark),'r.')
        set(gca,'XLim',[min(RadialStats.FileTimeStamp(temmark)) max(RadialStats.FileTimeStamp(temmark))])
        set(gca,'YLim',[-0.1 1.1])
        set(gca,'YTick',[0 1])
        datetick('x',6,'keeplimits')
        grid on
        TemStr=['Site ' char(AllNames{jsite})...
            ', Check for FileFound (black) and DataFound (red)'];

        title(TemStr)
        subplot(4,1,2)
        plot(RadialStats.FileTimeStamp(temmark),RadialStats.NotWobblyFiles(temmark),'k')
        hold
        plot(RadialStats.FileTimeStamp(temmark),RadialStats.NotWobblyFiles(temmark),'k.')
        plot(RadialStats.FileTimeStamp(temmark),RadialStats.MatchingTimeStamps(temmark),'r')
        plot(RadialStats.FileTimeStamp(temmark),RadialStats.MatchingTimeStamps(temmark),'r.')
        set(gca,'XLim',[min(RadialStats.FileTimeStamp(temmark)) max(RadialStats.FileTimeStamp(temmark))])
        set(gca,'YLim',[-0.1 1.1])
        set(gca,'YTick',[0 1])
        datetick('x',6,'keeplimits')
        grid on
        TemStr=['Site ' char(AllNames{jsite}) ', Check for NotWobbly (black) and MatchingTimeStamps (red)'];
        title(TemStr)
        subplot(4,1,3)
        plot(RadialStats.FileTimeStamp(temmark),RadialStats.GriddedCurrentsUnique(temmark),'k')
        hold
        plot(RadialStats.FileTimeStamp(temmark),RadialStats.GriddedCurrentsUnique(temmark),'k.')
        plot(RadialStats.FileTimeStamp(temmark),RadialStats.NonNanGriddedCurrentsUnique(temmark),'r')
        plot(RadialStats.FileTimeStamp(temmark),RadialStats.NonNanGriddedCurrentsUnique(temmark),'r.')
        set(gca,'XLim',[min(RadialStats.FileTimeStamp(temmark)) max(RadialStats.FileTimeStamp(temmark))])
        set(gca,'YLim',[-0.1 1.1])
        set(gca,'YTick',[0 1])
        datetick('x',6,'keeplimits')
        grid on
        TemStr=['Site ' char(AllNames{jsite}) ', Check for GridCurrUnique (black) and NonNanGridCurrUnique (red)'];
        title(TemStr)
        subplot(4,1,4)
        plot(RadialStats.FileTimeStamp(temmark),RadialStats.PerDiffFwd(temmark),'k')
        hold
        plot(RadialStats.FileTimeStamp(temmark),RadialStats.PerDiffFwd(temmark),'k.')
        plot(RadialStats.FileTimeStamp(temmark),RadialStats.PerDiffBack(temmark),'r')
        plot(RadialStats.FileTimeStamp(temmark),RadialStats.PerDiffBack(temmark),'r.')
        set(gca,'XLim',[min(RadialStats.FileTimeStamp(temmark)) max(RadialStats.FileTimeStamp(temmark))])
        MinY=min([nanmin(RadialStats.PerDiffFwd(temmark)) nanmin(RadialStats.PerDiffBack(temmark))]);
        MaxY=max([nanmax(RadialStats.PerDiffFwd(temmark)) nanmax(RadialStats.PerDiffBack(temmark))]);
        if isnan(MinY),
            MinY=0;
        end
        if isnan(MaxY),
            MaxY=100;
        end
        set(gca,'YLim',[MinY-0.1 MaxY+0.1])
        YDiff=(MaxY-MinY)/5;
        set(gca,'YTick',[MinY:YDiff:MaxY])
        datetick('x',6,'keeplimits')
        grid on
        TemStr=['Site ' char(AllNames{jsite}) ', Check for PerDiffFwd (black) and PerDiffBack (red)'];
        title(TemStr)
        %
        TemFig=figure;
        subplot(3,1,1)
        plot(RadialStats.FileTimeStamp(temmark),RadialStats.NumRadsTotal(temmark),'k')
        hold
        plot(RadialStats.FileTimeStamp(temmark),RadialStats.NumRadsTotal(temmark),'k.')
        plot(RadialStats.FileTimeStamp(temmark),RadialStats.NumRadsOutSideMask(temmark),'r')
        plot(RadialStats.FileTimeStamp(temmark),RadialStats.NumRadsOutSideMask(temmark),'r.')
        plot(RadialStats.FileTimeStamp(temmark),RadialStats.NumRadsInMask(temmark),'b')
        plot(RadialStats.FileTimeStamp(temmark),RadialStats.NumRadsInMask(temmark),'b.')
        set(gca,'XLim',[min(RadialStats.FileTimeStamp(temmark)) max(RadialStats.FileTimeStamp(temmark))])
        MinY1=nanmin(RadialStats.NumRadsTotal(temmark));
        MinY2=nanmin(RadialStats.NumRadsOutSideMask(temmark));
        MinY3=nanmin(RadialStats.NumRadsInMask(temmark));
        MinY=min([MinY1 MinY2 MinY3]);
        MaxY1=nanmax(RadialStats.NumRadsTotal(temmark));
        MaxY2=nanmax(RadialStats.NumRadsOutSideMask(temmark));
        MaxY3=nanmax(RadialStats.NumRadsInMask(temmark));
        MaxY=max([MaxY1 MaxY2 MaxY3]);
        if isnan(MinY),
            MinY=0;
        end
        if isnan(MaxY),
            MaxY=100;
        end
        set(gca,'YLim',[MinY-0.1 MaxY+0.1])
        YDiff=(MaxY-MinY)/5;
        set(gca,'YTick',[MinY:YDiff:MaxY])
        datetick('x',6,'keeplimits')
        grid on
        TemStr=['Site ' char(AllNames{jsite}) ', Check for NumRadsTotal (black) NumRadsOutSideMask(red) and NumRadsInMask (blue)'];
        title(TemStr)
        subplot(3,1,2)
        plot(RadialStats.FileTimeStamp(temmark),RadialStats.MaxRange(temmark),'k')
        hold
        plot(RadialStats.FileTimeStamp(temmark),RadialStats.MaxRange(temmark),'k.')
        plot(RadialStats.FileTimeStamp(temmark),RadialStats.MinRange(temmark),'r')
        plot(RadialStats.FileTimeStamp(temmark),RadialStats.MinRange(temmark),'r.')
        set(gca,'XLim',[min(RadialStats.FileTimeStamp(temmark)) max(RadialStats.FileTimeStamp(temmark))])
        MinY=min([nanmin(RadialStats.MinRange(temmark)) nanmin(RadialStats.MaxRange(temmark))]);
        MaxY=max([nanmax(RadialStats.MinRange(temmark)) nanmax(RadialStats.MaxRange(temmark))]);
        if isnan(MinY),
            MinY=0;
        end
        if isnan(MaxY),
            MaxY=100;
        end
        set(gca,'YLim',[MinY-0.1 MaxY+0.1])
        YDiff=(MaxY-MinY)/5;
        set(gca,'YTick',[MinY:YDiff:MaxY])
        datetick('x',6,'keeplimits')
        grid on
        TemStr=['Site ' char(AllNames{jsite}) ', Check for MaxRange (black) and MinRange (red)'];
        title(TemStr)
        subplot(3,1,3)
        plot(RadialStats.FileTimeStamp(temmark),RadialStats.MaxBear(temmark),'k')
        hold
        plot(RadialStats.FileTimeStamp(temmark),RadialStats.MaxBear(temmark),'k.')
        plot(RadialStats.FileTimeStamp(temmark),RadialStats.MinBear(temmark),'r')
        plot(RadialStats.FileTimeStamp(temmark),RadialStats.MinBear(temmark),'r.')
        set(gca,'XLim',[min(RadialStats.FileTimeStamp(temmark)) max(RadialStats.FileTimeStamp(temmark))])
        MinY=min([nanmin(RadialStats.MinBear(temmark)) nanmin(RadialStats.MaxBear(temmark))]);
        MaxY=max([nanmax(RadialStats.MinBear(temmark)) nanmax(RadialStats.MaxBear(temmark))]);
        if isnan(MinY),
            MinY=0;
        end
        if isnan(MaxY),
            MaxY=100;
        end
        set(gca,'YLim',[MinY-0.1 MaxY+0.1])
        YDiff=(MaxY-MinY)/5;
        set(gca,'YTick',[MinY:YDiff:MaxY])
        datetick('x',6,'keeplimits')
        grid on
        TemStr=['Site ' char(AllNames{jsite}) ', Check for MaxBear (black) and MinBear (red)'];
        title(TemStr)
        %
    end
end
%  the routine is done
%
return;
