function CreateRadialMaskNewSites()
%
%  CreateRadialMaskNewSites();
%
%  modified - creates radial masks for all sites!!!!  Mont and SCRZ sites
%
%  prompts the user for which of the seven sites to create the radial mask for
%
%  masks will be used as inclusive - so radials inside the mask will be
%  kept.  Gerstle Cove not included at this point.
%
%  FileToSave is the name of a text file to contain the output.  Names such
%  as 'BMLRadMaskIn.txt' are suggested.  BML means the BML CODAR, Radial
%  mask is obvious, and In means to keep radials within the polygon.
%
%  Gerstle Cove added, 16 Nov 2007.  CoastFileDir changed for this case.
%
%  SLID added 18 June 2008.
%
SiteList=cell(8,1);
SiteList{1}='GCYN';
SiteList{2}='MLML';
SiteList{3}='MLNG';
SiteList{4}='NPGS';
SiteList{5}='PPIN';
SiteList{6}='PSLR';
SiteList{7}='PSUR';
SiteList{8}='SCRZ';
%
DistAroundSite=NaN*ones(8,1);
DistAroundSite(1)=100;
DistAroundSite(2)=50;
DistAroundSite(3)=50;
DistAroundSite(4)=100;
DistAroundSite(5)=100;
DistAroundSite(6)=200;
DistAroundSite(7)=100;
DistAroundSite(8)=100;
%
CoastFileLocation=fullfile('/Users/chrishalle/Documents/CODARData/Totals/PSURToPAFS/ProcessingInfo','PSURToPAFSCoast.mat');
%
for jsite=1:numel(SiteList),
    %
    disp(['Site Number ' num2str(jsite) ' of ' num2str(numel(SiteList))])
    disp(['Site Name ' SiteList{jsite}])
    disp('hit return to continue')
    pause
    %
    RadDirIn=['/Users/chrishalle/Documents/CODARData/Radials/' upper(SiteList{jsite}) '/Matlab/Ideal'];
    %
    cd(RadDirIn);
    %
    TemDir=dir;
    %
    %  Let us load the third one in the list, just to make sure that there
    %  are meaurements
    %
    FileFound=0;
    %
    for jfile=1:numel(TemDir),
        if ~TemDir(jfile).isdir,
            if numel(TemDir(jfile).name)>=8,
                TemName=TemDir(jfile).name;
                if isequal(TemName(numel(TemName)-3:numel(TemName)),'.mat'),
                    FileFound=FileFound+1;
                    if isequal(FileFound,3),
                        %
                        load(TemName);
                        NumRorig=numel(Rorig);
                        DataSet1=Rorig(1);
                        DataSet2=Rorig(round(NumRorig/2));
                        DataSet3=Rorig(NumRorig-5);
                        %
                        %  Get the lat and lon limits for the plot
                        %
                        %  change!  Use CoordSite
                        %
                        %  coords do not work for MLNG
                        %
                        try
                            [LeftLon,lattem,a21]=m_fdist(Rorig(1).SiteOrigin(1),Rorig(1).SiteOrigin(2),270,1000*DistAroundSite(jsite),'wgs84');
                            if LeftLon>0,
                                LeftLon=LeftLon-360;
                            end
                            RightLon=(Rorig(1).SiteOrigin(1))+0.5;
                            %
                            [lontem,TopLat,a21]=m_fdist(Rorig(1).SiteOrigin(1),Rorig(1).SiteOrigin(2),0,1000*DistAroundSite(jsite),'wgs84');
                            [lontem,BottomLat,a21]=m_fdist(Rorig(1).SiteOrigin(1),Rorig(1).SiteOrigin(2),180,1000*DistAroundSite(jsite),'wgs84');
                            %
                        catch
                            [LeftLon,lattem,a21]=m_fdist(Rorig(NumRorig).SiteOrigin(1),Rorig(NumRorig).SiteOrigin(2),270,1000*DistAroundSite(jsite),'wgs84');
                            if LeftLon>0,
                                LeftLon=LeftLon-360;
                            end
                            RightLon=(Rorig(NumRorig).SiteOrigin(1))+0.5;
                            %
                            [lontem,TopLat,a21]=m_fdist(Rorig(NumRorig).SiteOrigin(1),Rorig(NumRorig).SiteOrigin(2),0,1000*DistAroundSite(jsite),'wgs84');
                            [lontem,BottomLat,a21]=m_fdist(Rorig(NumRorig).SiteOrigin(1),Rorig(NumRorig).SiteOrigin(2),180,1000*DistAroundSite(jsite),'wgs84');
                        end
                        %
                        TemFigHandle=figure;
                        %
                        plotBasemap( [LeftLon RightLon],[BottomLat TopLat],CoastFileLocation,'lambert', 'patch', [0.5 0.5 0.5] );
                        hold
                        m_plot(Rorig(1).SiteOrigin(1),Rorig(1).SiteOrigin(2),'r.','MarkerSize',[8])
                        m_plot(Rorig(NumRorig).SiteOrigin(1),Rorig(NumRorig).SiteOrigin(2),'r.','MarkerSize',[8])
                        title('map only')
                        %
                        TemFigHandle2=figure;
                        %
                        plotBasemap( [LeftLon RightLon],[BottomLat TopLat],CoastFileLocation,'lambert', 'patch', [0.5 0.5 0.5] );
                        hold
                        %
                        m_plot(Rorig(1).SiteOrigin(1),Rorig(1).SiteOrigin(2),'k*','MarkerSize',[16])
                        m_plot(Rorig(NumRorig).SiteOrigin(1),Rorig(NumRorig).SiteOrigin(2),'k*','MarkerSize',[16])
                        %
                        if nansum(DataSet1.U)>0,
                            [handles,TimeIndex]=plotData(DataSet1,'m_vec',1,0.01);
                        end
                        %
                        if nansum(DataSet2.U)>0,
                            [handles,TimeIndex]=plotData(DataSet2,'m_vec',1,0.01);
                        end
                        %
                        if nansum(DataSet3.U)>0,
                            [handles,TimeIndex]=plotData(DataSet3,'m_vec',1,0.01);
                        end
                        %
                        disp('examine the maps for a bit')
                        disp('hit return to continue')
                        pause
                        %
                        figure(TemFigHandle2);
                        %
                        [X,Y,ptHand,lineHand] = makePoly('m_ginput');
                        %
                        %  replace first and last point with the CODAR position
                        %
                        X(1)=CoordSite(1);
                        X(numel(X))=CoordSite(1);
                        %
                        Y(1)=CoordSite(2);
                        Y(numel(Y))=CoordSite(2);
                        %
                        %  we now have the polygon.  Save it to the default directory.
                        %
                        cd '/Users/chrishalle/Documents/CODARData/Radials/MaskInfo/';
                        %
                        TemMatrixOut=[X Y];
                        FileToSave=[SiteList{jsite} 'RadMaskIn.txt'];
                        [yout]=PutOutTextFile4sig(TemMatrixOut,FileToSave);
                        %
                        delete(TemFigHandle);
                        delete(TemFigHandle2);
                        %
                        clear Rorig TemMatrixOut FileToSave TemName DataSet1 DataSet2 DataSet3
                        %
                    end
                end
            end
        end
    end
end
%
%  the routine is done
%
return;
%
